Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.graph.node
Class Fork

    java.lang.Object
      org.jbpm.graph.def.GraphElement
          org.jbpm.graph.def.Node
              org.jbpm.graph.node.Fork

All Implemented Interfaces:
  java.io.Serializable, Parsable

    public class Fork

extends Node
implements Parsable

specifies configurable fork behaviour.

if this fork behaviour is not sufficient for your needs, consider writing your own custom TokenHandler.

this forkhandler can be configured in 3 ways :

- without configuration : in that case the fork will launch one new sub-token over each of the leaving tranisions of the fork node.
- a script : can be used to calculate a collection of transition names at runtime. if a script is configured, the script must have exactly one variable with 'write' access. that variable should be assigned a java.util.Collection in the script expression.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.graph.def.Node
`action, arrivingTransitions, isAsync, isAsyncExclusive, leavingTransitions, superState, supportedEventTypes`

Fields inherited from class org.jbpm.graph.def.GraphElement
`description, events, exceptionHandlers, name, processDefinition`

Constructor Summary
`Fork()`
`Fork(java.lang.String name)`

Method Summary
`protected org.jbpm.graph.node.Fork.ForkedToken` | `createForkedToken(Token parent, java.lang.String transitionName)`
`void` | `execute(ExecutionContext executionContext)` override this method to customize the node behaviour.
`Script` | `getScript()`
`protected java.lang.String` | `getTokenName(Token parent, java.lang.String transitionName)`
`void` | `read(org.dom4j.Element forkElement, JpdlXmlReader jpdlReader)`
`void` | `setScript(Script script)`

Methods inherited from class org.jbpm.graph.def.Node
`addArrivingTransition, addLeavingTransition, addNodeLog, createAsyncContinuationJob, enter, generateNextLeavingTransitionName, getAction, getArrivingTransitions, getDefaultLeavingTransition, getFullyQualifiedName, getLeavingTransition, getLeavingTransitions, getLeavingTransitionsList, getLeavingTransitionsMap, getNodes, getParent, getProcessDefinition, getSuperState, getSupportedEventTypes, hasLeavingTransition, hasNoLeavingTransitions, isAsync, isAsyncExclusive, isSuperStateNode, leave, leave, leave, removeArrivingTransition, removeLeavingTransition, reorderLeavingTransition, setAction, setAsync, setAsyncExclusive, setName, write`

Methods inherited from class org.jbpm.graph.def.GraphElement
`addEvent, addExceptionHandler, createAsyncActionExecutionJob, equals, executeAction, findExceptionHandler, fireAndPropagateEvent, fireEvent, getDescription, getEvent, getEvents, getExceptionHandlers, getId, getName, getParentChain, getParents, hasEvent, hasEvents, raiseException, removeEvent, removeExceptionHandler, reorderExceptionHandler, setDescription, setProcessDefinition, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jbpm.jpdl.xml.Parsable
`write`

Constructor Detail

### Fork

    public Fork()

### Fork

    public Fork(java.lang.String name)

Method Detail

### read

    public void read(org.dom4j.Element forkElement,
                     JpdlXmlReader jpdlReader)

  Specified by:
    `read` in interface `Parsable`
  Overrides:
    `read` in class `Node`

### execute

    public void execute(ExecutionContext executionContext)

  Description copied from class: `Node`
  override this method to customize the node behaviour.

  Overrides:
    `execute` in class `Node`

### createForkedToken

    protected org.jbpm.graph.node.Fork.ForkedToken createForkedToken(Token parent,
                                                                     java.lang.String transitionName)

### getTokenName

    protected java.lang.String getTokenName(Token parent,
                                            java.lang.String transitionName)

### getScript

    public Script getScript()

### setScript

    public void setScript(Script script)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD